<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://www.imestech.com/wsMES" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://www.imestech.com/wsMES" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://www.imestech.com/wsMES">
      <s:element name="LoadWIPInventory_SEMIbyMO_TP">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoadWIPInventory_SEMIbyMO_TPResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="LoadWIPInventory_SEMIbyMO_TPResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="loadWIP_SEMI_MO_TP">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="loadWIP_SEMI_MO_TPResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="loadWIP_SEMI_MO_TPResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="loadWIP_SEMI_MO_WF">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="loadWIP_SEMI_MO_WFResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="loadWIP_SEMI_MO_WFResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ChkmesStockIn_Lot">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ChkmesStockIn_LotResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ChkmesStockIn_LotResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="updateINVBookingFlag">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="updateINVBookingFlagResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="updateINVBookingFlagResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_TP">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_TPResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MOStockIn_TPResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_E10">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_E10Response">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MOStockIn_E10Result" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_Scrap_TP">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_Scrap_TPResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MOStockIn_Scrap_TPResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_WF">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_WFResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MOStockIn_WFResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_Check_WF">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_Check_WFResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MOStockIn_Check_WFResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_WF_Cancel">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOStockIn_WF_CancelResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MOStockIn_WF_CancelResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoadWIPInventory_SEMIbyMO_WF">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoadWIPInventory_SEMIbyMO_WFResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="LoadWIPInventory_SEMIbyMO_WFResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoadOEMOBasis_byLot_WF">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoadOEMOBasis_byLot_WFResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="LoadOEMOBasis_byLot_WFResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdOSBasis">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdOSBasisResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UpdOSBasisResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoadMOMaterialStateOP">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoadMOMaterialStateOPResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="LoadMOMaterialStateOPResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoadMOMaterialState">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoadMOMaterialStateResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="LoadMOMaterialStateResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOIssueReturn">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOIssueReturnResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MOIssueReturnResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOIssueReturn_Cancel">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MOIssueReturn_CancelResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MOIssueReturn_CancelResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ExeMaterialScrap">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ExeMaterialScrapResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ExeMaterialScrapResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetERPReferenceNo">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetERPReferenceNoResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetERPReferenceNoResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="addTransactionLog">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="OutXml" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="TransactionID" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="ModuleID" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="FunctionID" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="ComputerName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="CurUserNo" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="SendTime" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Result" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="KeyValue" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="ExceptionFun" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="arrException" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="addTransactionLogResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="addTransactionLogResult" type="s:boolean" />
            <s:element minOccurs="0" maxOccurs="1" name="arrException" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="LoadWIPInventory_SEMIbyMO_TPSoapIn">
    <wsdl:part name="parameters" element="tns:LoadWIPInventory_SEMIbyMO_TP" />
  </wsdl:message>
  <wsdl:message name="LoadWIPInventory_SEMIbyMO_TPSoapOut">
    <wsdl:part name="parameters" element="tns:LoadWIPInventory_SEMIbyMO_TPResponse" />
  </wsdl:message>
  <wsdl:message name="loadWIP_SEMI_MO_TPSoapIn">
    <wsdl:part name="parameters" element="tns:loadWIP_SEMI_MO_TP" />
  </wsdl:message>
  <wsdl:message name="loadWIP_SEMI_MO_TPSoapOut">
    <wsdl:part name="parameters" element="tns:loadWIP_SEMI_MO_TPResponse" />
  </wsdl:message>
  <wsdl:message name="loadWIP_SEMI_MO_WFSoapIn">
    <wsdl:part name="parameters" element="tns:loadWIP_SEMI_MO_WF" />
  </wsdl:message>
  <wsdl:message name="loadWIP_SEMI_MO_WFSoapOut">
    <wsdl:part name="parameters" element="tns:loadWIP_SEMI_MO_WFResponse" />
  </wsdl:message>
  <wsdl:message name="ChkmesStockIn_LotSoapIn">
    <wsdl:part name="parameters" element="tns:ChkmesStockIn_Lot" />
  </wsdl:message>
  <wsdl:message name="ChkmesStockIn_LotSoapOut">
    <wsdl:part name="parameters" element="tns:ChkmesStockIn_LotResponse" />
  </wsdl:message>
  <wsdl:message name="updateINVBookingFlagSoapIn">
    <wsdl:part name="parameters" element="tns:updateINVBookingFlag" />
  </wsdl:message>
  <wsdl:message name="updateINVBookingFlagSoapOut">
    <wsdl:part name="parameters" element="tns:updateINVBookingFlagResponse" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_TPSoapIn">
    <wsdl:part name="parameters" element="tns:MOStockIn_TP" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_TPSoapOut">
    <wsdl:part name="parameters" element="tns:MOStockIn_TPResponse" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_E10SoapIn">
    <wsdl:part name="parameters" element="tns:MOStockIn_E10" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_E10SoapOut">
    <wsdl:part name="parameters" element="tns:MOStockIn_E10Response" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_Scrap_TPSoapIn">
    <wsdl:part name="parameters" element="tns:MOStockIn_Scrap_TP" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_Scrap_TPSoapOut">
    <wsdl:part name="parameters" element="tns:MOStockIn_Scrap_TPResponse" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_WFSoapIn">
    <wsdl:part name="parameters" element="tns:MOStockIn_WF" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_WFSoapOut">
    <wsdl:part name="parameters" element="tns:MOStockIn_WFResponse" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_Check_WFSoapIn">
    <wsdl:part name="parameters" element="tns:MOStockIn_Check_WF" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_Check_WFSoapOut">
    <wsdl:part name="parameters" element="tns:MOStockIn_Check_WFResponse" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_WF_CancelSoapIn">
    <wsdl:part name="parameters" element="tns:MOStockIn_WF_Cancel" />
  </wsdl:message>
  <wsdl:message name="MOStockIn_WF_CancelSoapOut">
    <wsdl:part name="parameters" element="tns:MOStockIn_WF_CancelResponse" />
  </wsdl:message>
  <wsdl:message name="LoadWIPInventory_SEMIbyMO_WFSoapIn">
    <wsdl:part name="parameters" element="tns:LoadWIPInventory_SEMIbyMO_WF" />
  </wsdl:message>
  <wsdl:message name="LoadWIPInventory_SEMIbyMO_WFSoapOut">
    <wsdl:part name="parameters" element="tns:LoadWIPInventory_SEMIbyMO_WFResponse" />
  </wsdl:message>
  <wsdl:message name="LoadOEMOBasis_byLot_WFSoapIn">
    <wsdl:part name="parameters" element="tns:LoadOEMOBasis_byLot_WF" />
  </wsdl:message>
  <wsdl:message name="LoadOEMOBasis_byLot_WFSoapOut">
    <wsdl:part name="parameters" element="tns:LoadOEMOBasis_byLot_WFResponse" />
  </wsdl:message>
  <wsdl:message name="UpdOSBasisSoapIn">
    <wsdl:part name="parameters" element="tns:UpdOSBasis" />
  </wsdl:message>
  <wsdl:message name="UpdOSBasisSoapOut">
    <wsdl:part name="parameters" element="tns:UpdOSBasisResponse" />
  </wsdl:message>
  <wsdl:message name="LoadMOMaterialStateOPSoapIn">
    <wsdl:part name="parameters" element="tns:LoadMOMaterialStateOP" />
  </wsdl:message>
  <wsdl:message name="LoadMOMaterialStateOPSoapOut">
    <wsdl:part name="parameters" element="tns:LoadMOMaterialStateOPResponse" />
  </wsdl:message>
  <wsdl:message name="LoadMOMaterialStateSoapIn">
    <wsdl:part name="parameters" element="tns:LoadMOMaterialState" />
  </wsdl:message>
  <wsdl:message name="LoadMOMaterialStateSoapOut">
    <wsdl:part name="parameters" element="tns:LoadMOMaterialStateResponse" />
  </wsdl:message>
  <wsdl:message name="MOIssueReturnSoapIn">
    <wsdl:part name="parameters" element="tns:MOIssueReturn" />
  </wsdl:message>
  <wsdl:message name="MOIssueReturnSoapOut">
    <wsdl:part name="parameters" element="tns:MOIssueReturnResponse" />
  </wsdl:message>
  <wsdl:message name="MOIssueReturn_CancelSoapIn">
    <wsdl:part name="parameters" element="tns:MOIssueReturn_Cancel" />
  </wsdl:message>
  <wsdl:message name="MOIssueReturn_CancelSoapOut">
    <wsdl:part name="parameters" element="tns:MOIssueReturn_CancelResponse" />
  </wsdl:message>
  <wsdl:message name="ExeMaterialScrapSoapIn">
    <wsdl:part name="parameters" element="tns:ExeMaterialScrap" />
  </wsdl:message>
  <wsdl:message name="ExeMaterialScrapSoapOut">
    <wsdl:part name="parameters" element="tns:ExeMaterialScrapResponse" />
  </wsdl:message>
  <wsdl:message name="GetERPReferenceNoSoapIn">
    <wsdl:part name="parameters" element="tns:GetERPReferenceNo" />
  </wsdl:message>
  <wsdl:message name="GetERPReferenceNoSoapOut">
    <wsdl:part name="parameters" element="tns:GetERPReferenceNoResponse" />
  </wsdl:message>
  <wsdl:message name="addTransactionLogSoapIn">
    <wsdl:part name="parameters" element="tns:addTransactionLog" />
  </wsdl:message>
  <wsdl:message name="addTransactionLogSoapOut">
    <wsdl:part name="parameters" element="tns:addTransactionLogResponse" />
  </wsdl:message>
  <wsdl:portType name="wsMESSoap">
    <wsdl:operation name="LoadWIPInventory_SEMIbyMO_TP">
      <wsdl:input message="tns:LoadWIPInventory_SEMIbyMO_TPSoapIn" />
      <wsdl:output message="tns:LoadWIPInventory_SEMIbyMO_TPSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="loadWIP_SEMI_MO_TP">
      <wsdl:input message="tns:loadWIP_SEMI_MO_TPSoapIn" />
      <wsdl:output message="tns:loadWIP_SEMI_MO_TPSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="loadWIP_SEMI_MO_WF">
      <wsdl:input message="tns:loadWIP_SEMI_MO_WFSoapIn" />
      <wsdl:output message="tns:loadWIP_SEMI_MO_WFSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ChkmesStockIn_Lot">
      <wsdl:input message="tns:ChkmesStockIn_LotSoapIn" />
      <wsdl:output message="tns:ChkmesStockIn_LotSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="updateINVBookingFlag">
      <wsdl:input message="tns:updateINVBookingFlagSoapIn" />
      <wsdl:output message="tns:updateINVBookingFlagSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_TP">
      <wsdl:input message="tns:MOStockIn_TPSoapIn" />
      <wsdl:output message="tns:MOStockIn_TPSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_E10">
      <wsdl:input message="tns:MOStockIn_E10SoapIn" />
      <wsdl:output message="tns:MOStockIn_E10SoapOut" />
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_Scrap_TP">
      <wsdl:input message="tns:MOStockIn_Scrap_TPSoapIn" />
      <wsdl:output message="tns:MOStockIn_Scrap_TPSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_WF">
      <wsdl:input message="tns:MOStockIn_WFSoapIn" />
      <wsdl:output message="tns:MOStockIn_WFSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_Check_WF">
      <wsdl:input message="tns:MOStockIn_Check_WFSoapIn" />
      <wsdl:output message="tns:MOStockIn_Check_WFSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_WF_Cancel">
      <wsdl:input message="tns:MOStockIn_WF_CancelSoapIn" />
      <wsdl:output message="tns:MOStockIn_WF_CancelSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="LoadWIPInventory_SEMIbyMO_WF">
      <wsdl:input message="tns:LoadWIPInventory_SEMIbyMO_WFSoapIn" />
      <wsdl:output message="tns:LoadWIPInventory_SEMIbyMO_WFSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="LoadOEMOBasis_byLot_WF">
      <wsdl:input message="tns:LoadOEMOBasis_byLot_WFSoapIn" />
      <wsdl:output message="tns:LoadOEMOBasis_byLot_WFSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdOSBasis">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Update OSBasis</wsdl:documentation>
      <wsdl:input message="tns:UpdOSBasisSoapIn" />
      <wsdl:output message="tns:UpdOSBasisSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="LoadMOMaterialStateOP">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Load MO Material State OP by MONo</wsdl:documentation>
      <wsdl:input message="tns:LoadMOMaterialStateOPSoapIn" />
      <wsdl:output message="tns:LoadMOMaterialStateOPSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="LoadMOMaterialState">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Load MO Material State by MONo</wsdl:documentation>
      <wsdl:input message="tns:LoadMOMaterialStateSoapIn" />
      <wsdl:output message="tns:LoadMOMaterialStateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="MOIssueReturn">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">MO Issue Return</wsdl:documentation>
      <wsdl:input message="tns:MOIssueReturnSoapIn" />
      <wsdl:output message="tns:MOIssueReturnSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="MOIssueReturn_Cancel">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">MOIssueReturn_Cancel</wsdl:documentation>
      <wsdl:input message="tns:MOIssueReturn_CancelSoapIn" />
      <wsdl:output message="tns:MOIssueReturn_CancelSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ExeMaterialScrap">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Execute Matreial Scrap</wsdl:documentation>
      <wsdl:input message="tns:ExeMaterialScrapSoapIn" />
      <wsdl:output message="tns:ExeMaterialScrapSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetERPReferenceNo">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Get ERP Reference No</wsdl:documentation>
      <wsdl:input message="tns:GetERPReferenceNoSoapIn" />
      <wsdl:output message="tns:GetERPReferenceNoSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="addTransactionLog">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Add Transaction Log</wsdl:documentation>
      <wsdl:input message="tns:addTransactionLogSoapIn" />
      <wsdl:output message="tns:addTransactionLogSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="wsMESSoap" type="tns:wsMESSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="LoadWIPInventory_SEMIbyMO_TP">
      <soap:operation soapAction="http://www.imestech.com/wsMES/LoadWIPInventory_SEMIbyMO_TP" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="loadWIP_SEMI_MO_TP">
      <soap:operation soapAction="http://www.imestech.com/wsMES/loadWIP_SEMI_MO_TP" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="loadWIP_SEMI_MO_WF">
      <soap:operation soapAction="http://www.imestech.com/wsMES/loadWIP_SEMI_MO_WF" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ChkmesStockIn_Lot">
      <soap:operation soapAction="http://www.imestech.com/wsMES/ChkmesStockIn_Lot" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateINVBookingFlag">
      <soap:operation soapAction="http://www.imestech.com/wsMES/updateINVBookingFlag" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_TP">
      <soap:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_TP" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_E10">
      <soap:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_E10" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_Scrap_TP">
      <soap:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_Scrap_TP" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_WF">
      <soap:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_WF" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_Check_WF">
      <soap:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_Check_WF" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_WF_Cancel">
      <soap:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_WF_Cancel" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="LoadWIPInventory_SEMIbyMO_WF">
      <soap:operation soapAction="http://www.imestech.com/wsMES/LoadWIPInventory_SEMIbyMO_WF" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="LoadOEMOBasis_byLot_WF">
      <soap:operation soapAction="http://www.imestech.com/wsMES/LoadOEMOBasis_byLot_WF" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdOSBasis">
      <soap:operation soapAction="http://www.imestech.com/wsMES/UpdOSBasis" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="LoadMOMaterialStateOP">
      <soap:operation soapAction="http://www.imestech.com/wsMES/LoadMOMaterialStateOP" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="LoadMOMaterialState">
      <soap:operation soapAction="http://www.imestech.com/wsMES/LoadMOMaterialState" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOIssueReturn">
      <soap:operation soapAction="http://www.imestech.com/wsMES/MOIssueReturn" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOIssueReturn_Cancel">
      <soap:operation soapAction="http://www.imestech.com/wsMES/MOIssueReturn_Cancel" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ExeMaterialScrap">
      <soap:operation soapAction="http://www.imestech.com/wsMES/ExeMaterialScrap" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetERPReferenceNo">
      <soap:operation soapAction="http://www.imestech.com/wsMES/GetERPReferenceNo" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="addTransactionLog">
      <soap:operation soapAction="http://www.imestech.com/wsMES/addTransactionLog" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="wsMESSoap12" type="tns:wsMESSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="LoadWIPInventory_SEMIbyMO_TP">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/LoadWIPInventory_SEMIbyMO_TP" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="loadWIP_SEMI_MO_TP">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/loadWIP_SEMI_MO_TP" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="loadWIP_SEMI_MO_WF">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/loadWIP_SEMI_MO_WF" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ChkmesStockIn_Lot">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/ChkmesStockIn_Lot" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateINVBookingFlag">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/updateINVBookingFlag" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_TP">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_TP" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_E10">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_E10" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_Scrap_TP">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_Scrap_TP" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_WF">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_WF" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_Check_WF">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_Check_WF" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOStockIn_WF_Cancel">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/MOStockIn_WF_Cancel" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="LoadWIPInventory_SEMIbyMO_WF">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/LoadWIPInventory_SEMIbyMO_WF" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="LoadOEMOBasis_byLot_WF">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/LoadOEMOBasis_byLot_WF" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdOSBasis">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/UpdOSBasis" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="LoadMOMaterialStateOP">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/LoadMOMaterialStateOP" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="LoadMOMaterialState">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/LoadMOMaterialState" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOIssueReturn">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/MOIssueReturn" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MOIssueReturn_Cancel">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/MOIssueReturn_Cancel" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ExeMaterialScrap">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/ExeMaterialScrap" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetERPReferenceNo">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/GetERPReferenceNo" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="addTransactionLog">
      <soap12:operation soapAction="http://www.imestech.com/wsMES/addTransactionLog" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="wsMES">
    <wsdl:port name="wsMESSoap" binding="tns:wsMESSoap">
      <soap:address location="http://localhost/ERPws_DSC/wsMES.asmx" />
    </wsdl:port>
    <wsdl:port name="wsMESSoap12" binding="tns:wsMESSoap12">
      <soap12:address location="http://localhost/ERPws_DSC/wsMES.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>